Powerbullet help introduction

POWERBULLET HELP INTRO
Help version 1.2

HELP TOPICS

Powerbullet is designed to make it as easy as possible to rapidly build presentations for the web.If you've used a common software program such as a word processor, you should be comfortable using Powerbullet. Whether your goal is to design sales brochures, create tutorials or build informational presentations such as school projects, Powerbullet can help you get the job done quickly and easily.

A few simple things to bear in mind when starting out with Powerbullet:

There are two ways of creating text. You can type directly onto the page, just as you would in an ordinary word processor, or you can create "text blocks" by clicking the text block tool. The important difference is that with a text block you can move it around - reshaping and repositioning it - and you can animate it. You can also set a transparency level and move it in front of or behind other text blocks, shapes, images or whatever. If you have text typed directly onto the page that your wish to manipulate, just cut it and paste it into a newly-created text block.

Powerbullet works in "pages"; a little like "slides" in Powerpoint. You create and layout each page, and they get played back in sequence. Page-forward and page-backward buttons are automatically created for you.

Each page can have an entrance and exit animation (also called transitions, such as fade in/out, zoom in/out etc) and an introduction sound. Each moveable item within the page (such as text block, picture or shape) can have an entrance animation. There is no limit to the length of the animation; many are provided but you can also create your own custom ones.

When you click the "preview" button you get to see what the current page you're working on will look like in the final production. When you click the "export" button, all pages are packaged into a Flash "movie" and saved in your project folder, along with an HTML page for hosting the Flash movie.

That should be enough to get you started! Context-sensitive help is always at hand.

HELP TOPICS


Powerbullet help index

Powerbullet help topics
Help version 1.2

Menus

File Edit View Insert Alignment Text Table Selection Draw Settings Page Extras Help

Toolbars

Main new open save export cut copy paste undo redo print help preview

Help

Brings up this help system.

Selection locked unlocked constrained free move upward move downward move top move bottom

Page add previous next shift backward shift forward transition sound delete

Options font line width line color fill color gradient background color

Style bold italic underline text size decrease text size increase outdent indent justify left justify center justify right

Insert text box picture oval rectangle horizontal line vertical line diagonal downward diagonal upward table bullet list

Justify left, justify center, justify right

Just as in a word processor, aligns the text pagagraph accordingly.

Font font face font size

Font face

Choose the font face from a list of fonts available on your system. The font is previewed in the drop-down combo box.

Font size

Set the font size. With the text selected the size change is immediate, giving you visual feedback. An alternative is to use the shortcut key combination: Ctrl+Shift+Up Arrow and Ctrl+Shift+Down Arrow.

Dialogs

All dialogs

Popup menus

All popups

Using Powerbullet

help menu extras menu page menu draw settings menu selection menu table menu text menu alignment menu insert menu view menu edit menu file menu preview help contents print redo undo paste copy cut export save open new properties dialog move to bottom move to top move backward move forward free constrained unlocked locked delete page set page transition shift forward shift backward next previous add a page set background color set gradient set fill color set line color set line width font dialog box insert rectangle insert oval insert picture insert text layer insert line text justify modify text set font size set font face


The basics of using FvReader

The typical steps for creating a Powerbullet presentation:

1. Assemble the required media. This will probably include text data, possibly already formatted in a word processor, images (JPEF, GIF or PNG) such as company logos, photos, graphs. Possibly some MP3 files.

2. Create a project by selecting New from the file menu and giving the project a name.

3. Drag in any images to the desired location. You can also drag an MP3 file onto the page (one per page). Create pages as you need them. Create text boxes and paste in text from another application, or type in directly.

4. Format text, perhaps providing enhancements such as borders and backing boxes using the built-in shape tool.

5. Add any desired animations to enhance headings or bullet points.

6. Preview each page as you finalize it.

7. Export the project. This will display a preview of the results in your browser.

8. Make any required modifications (particularly issues such as ensuring there's enough room at the bottom of each page for the navigation buttons).

9. When the final export is done, copy it to the desired location (possibly a web site). You can easily locate the project files by going to your My Documents folder where you will see a folder called Powerbullet. Within this folder there is one folder for each project you have created. The folder has the same name as the project. Within the project folder are two files required to run your presentation: the Flash file (SWF) and the HTML file. Say you previously created a project called "Great Food". To manually publish the project files, you locate the folder "Great Food" within "My documents/Powerbullet". You then open it and copy Great Food.htm and Great Food.swf to your web destination. You can rename the HTML file. You will need to edit teh HTML if you change the name of the SWF file or if you don't put it into the same folder as the HTML.


Powerbullet help tips

Font sizes

Don't go below 14 point font size if possible. Below that size the edge-smoothing in the Flash Player can start looking a little "blurry".

Text formatting

The HTML rendering engine used by Powerbullet allows for unlimited complexity in text formatting. However, sometimes when several changes are made to different, overlapping selections, or when formatted text is mixed in with existing formatted text, it can become easy to get lost. The best escape route in this case is to select the offending text and choose "Remove formatting" from the Text menu and start afresh.

Images

Use JPEG files for photographic material, GIF files for flat-colored graphics, and PNG when you want high quality graphics with transparency. When you insert (or drag) an image into a Powerbullet project, a copy is made in the local project folder, so there is no need to keep the source image intact.

Saving

When choosing a name to save the project under, make it descriptive, but try to keep it within the area provided in the dialog box. There is no need for file extensions or path information, as Powerbullet manages it. In other words, you don't need to deal with the Windows File System directly, meaning it's less likely you'll forget where you put your projects.

Output

If you need to access your project files directly, such as copying output to a web site, emailing it or sending it to another PC, you will find it within your My Documents folder. This is where all documents on your Windows system are supposed to be stored for easy backing up. Inside My Documents a folder is created called "Powerbullet". All Powerbullet projects are stored here. Look for a folder named after your project. Within that folder - assuming you have done an Export, there will be an HTML file and a SWF file named after your project. For instance, if your project was called "Oceans of the World", the playback files are "Oceans of the World.htm" and "Oceans of the World.swf". Confirm this by opening the HTML file. The presentation should start. Of course if the SWF (Shockwave Flash) file is destined for an existing web site, you don't need the HTML file. If your HTML editor understands Flash, then it will generate the code to embed the Flash movie. Otherwise you could copy and paste the code generated by Powerbullet in the HTML. Select everything in - and including - the <OBJECT> tag. That is, >OBJECT>.....</OBJECT> and paste this in the body of any HTML page, ensuring the corresponding SWF file is in the same directory. If a user has the standalone Flash Player on their machine they can simply double-click the SWF file, but more commonly they will have the Shockwave Flash browser plug-in.

Undo/Redo

There is virtually unlimited Undo and Redo, but once you change pages you cannot go back and Redo. This is because the data file is saved to disk and closed before moving to another page.

Preview

Preview your work regularly by selecting Preview from the View menu. This will ensure that the output is as expected. The Flash Player engine is different from the HTML rendering engine in Powerbullet, so it's important to regularly check that layouts and effects look as you intended.

Cancel operation

When doing a lengthy export operation, the quickest way to terminate it is to hit the Escape key. Hold it until the operation stops.

Multiple instances of shapes

To create multiple instances of a shape in parallel, the easiest way is to do the following:

1. Copy the selected item.
2. De-select the item by clicking elsewhere in the layout window.
3. Do a Paste for each copy you want (you won't see them as they are directly above the original).
4. Select the constrain tool and drag the new items from above the original one by one.

If you just want to do a simple duplicate, use Ctrl+D or Duplicate from the edit menu. The new copy will be slightly offset from the original.

Using keys instead of mouse

More accurate positioning can be done using the arrow keys. Moving from one object to another can be done with the Tab key (Shift-Tab to move backwards). When a text item is selected you can enter edit mode by pressing the Return key. Hittint the Escape key exits edit mode and returns to Selected mode.


FvAnim file format

The Powerbullet animation file format consists of an array of 12 decimal numbers. Each Row represents a step in the animation.

The first row is the start position (or state) of the element. The last row is the resting position of the element. This usually would have neutral settings - that is, the objet should not be transformed so it finishes in the position specified during design.

So the simplest animation wouild have two steps: the start position and the end position.

There is a "magic" number that - when used - causes a calculation based on the display size and the size of the sprite (text box, image etc) being animated. It is (+-) 32767. When -32767 is used on the X (horizontal) position, it ensures the animated object is offstage left; for the Y (vertical) position, it specifies offstage top. Likewise the positive version, 32767 means offstage right (X) or offstage bottom (Y).

Example:

For a line of text or whatever to zoom in from the left and stop at its natural position in the layout (as viewed in the Powerbullet window), the minimum data required would be two lines.

X | Y | rotate | skew2 | scaleX | scaleY | red | green | blue | alpha | flags | frame
-32767 | 0 | 0 | 0 | 1 | 1 | 0 | 0 | 0 | 0 | 0 | 1
0 | 0 | 0 | 0 | 1 | 1 | 0 | 0 | 0 | 0 | 0 | 10

In the above example, the animation consists of 10 frames (1-10). The selected item is animated by setting its starting position offstage left (its XY coordinates are stage left (0.0) minus the width of the item (ensuring it is invisible at the start), and moving it to whatever its position in the layour is - over 10 frames. Frame numbers are absolute, not relative, so each row must have a frame greater than the previous. The frames do not have to start at 1. If they start later, it simply introduces a delay. This is unlikely to be useful, however, as the user can specify a delay (in seconds) in the animation settings dialog box.

Column: Item:

1 Horizontal (X) position

2 Vertical (Y) position

3 Rotation in degrees - or Rotate/skew 1 if flags (see below) include "skew"

4 Rotate/skew 2 if flags include "skew", otherwise ignored

5 Horizontal scale

6 Vertical scale

7 Color red component

8 Color green component

9 Color blue component

10 Color alpa component

11 Flags

12 Frame for this data

Flags:

1 Color multiply - it means the values in RGBA are multimplied, otherwise they are added

2 Skew - it means parameters 3 and 4 represent Skew 1 and Skew 2, otherwise parameter 3 is rotation and is ignored.

In programming terms, flags are bits of a (usually) 32 bit word that are switched on or off. The mechanism for doing this in programming is ORing them (same as the bitwise OR operation in electronics). In more general terms, predefined values - each one representing one of the conditions - are added together.

Currently there are only two meaningful flags: 1 and two. So providing a value of (1+2) 3 means that multiply and skew apply to the appropriate parameter values.

Color animation:

Colors can be animated either by addition or multiplication. The values map to the Flash Player's internal Color Transformation Matrix. When using add (which is the default unless the Multiply flag is set) the numbers are offsets to the animation item's setting in the layout. So if a shape is Opaque Red (and RGBA quadruple of 255, 0, 0, 255), and a color value is set to [-127, 0, 0, 0], the result will be to decrease the red value by 127, resulting in 128 - a darker red. The resulting color values are clamped by the Flash Player, so a color calculation result of -27 will be 0. Multiplication is handled by a similar pronciple, but permits more radical changes, such as exponential color shifts.

Numbering system:

The numbering system follows that of the SWF file format.

While all the numbers in the file format are decimal for simplicity, they represent differing numbering systems and scaling systems internally, depending on their functionality.

The X and Y parameters are in TWIPS. There are 20 TWIPS to a pixel, so screen coordinate 100 is 2000. Rotation by default is in degrees, and column 4 is ignored. When the Skew flag is set, column 3 and 4 specify the rotate/skew values in TWIPS. This is an advanced setting, and requires a little knowledge of 2D matrix math to get predictable results. Scale is decimal, and no scaling is defined by unity, or 1.0. The color values Red, Green. Blue and the transparency setting Alpha are 8 bit numeric scales (0-0xFF or 0-255, so an Aplha setting of 255.0 means fully opaque, whereas 0.0 is fully transparent. Note that additions and multiplications are not limited to positive 8 bit numbers, but the result will be clampled to a positive 8 bit range (0-255). The Frame Number is an integer. Fractional portions will be ignored, but it is recommended that you set it to zero in case it is used in the future for any reason. Frame numbers must increase with rows. The Flags field is treated as a bitfield. Currently there are only 3 valid values: 0, 1 and 2. In future the fractional portion may be converted to another integer bitfield, so please always set this to zero.


Page Menu help

Page Menu

Add

Inserts a new, blank page after the current one, then selects it. The previous page is automatically saved.

Shortcut key: Control-+ (Ctrl and plus key on the number pad).

Delete

Removes the current page and sets the current page to the previous page (if any, else the next page). A dialog box appears requesting confirmation before the page is removed.

Shortcut key: Control-- (Ctrl and minus key on the number pad).

Shift Forward

Shift Backward

Shuffles the current page forward or backward in the page ordering of the presentation. Shuffling "wraps" so if you are on the final page and select "shift forward", it will become page 1 and page 1 will become page 2 etc.

Shortcut keys: Control+], Control+[ (control and right bracket, control left bracket respectively to "bump" the page forward or backward).

Next Page

Previous Page

Changes current page to next page or previous page.

Shortcut keys: Control-RightArrow, Control-LeftArrow (control and right or left arrow for next page or previous page respectively).

Transition

Specify the page entrance and exit animation, and the duration. For no transition, set both radio buttons to "none" and both times to zero.


Selection Menu help

Selection Menu

Move Forward

Move Backward

Move the current item selection (not text selection!) up or down in the Z-order. That is, shuffle it upwards or downwards in the pack by one position.

Shortcut keys: Control-PageUp, Shortcut key: Control-PageDown for forward and backward respectively

Move Top

Move Bottom

A on-click way of ensuring the selected item is either above all other items or below all other items.

Shortcut key: Control-Home and Shortcut key: Control-End for top and bottom respectively

Locked

Unlocked

Lock elements in place while you are editing. This prevents accidental modification while you are rearranging other elements. When an item is locked, a this black rectangular box is displayed when the item is selected (this box is of course not printed in the export output).

The default state is unlocked.

Constrained

Free

This allows movements of the object my the mouse to be constrained to the X or Y axis, allowing for accurate positioning and aligning. When this is toggled on, movement of an object by dragging with the mouse will only be allowed on either the X or Y axis for any single move operation. The move is along the dominant axis, so if you drag, for example, mainly towards the right hand side of the layout area, the movement will snap to the horizontal axis of the item’s original position, prohibiting up/down movement. Cursor key movement is not affected.

Properties

This brings up the properties dialog box where you can set transparency, drop shadow and animation for the currently selected item.


Table Menu help

Table Menu

Insert cell

Split cell

Insert column

Merge cells

These options behave just as your HTML editor would. In the case of Powerbullet, the table is handy for laying out tabular data, such as financial figures.


Text Menu help

Text Menu

Size increase

Size decrease

Increases or decreases, by 1 point, the current text selection. The change is relative to the default font size (usually 24 point).

Bold

Italic

Underline

Any mix of these formatting options can be done down to the single letter. Note that any animations on a text block will be applied individually to any differing formats within the block. So if you have two consecutive letters, and only one is underlined, they will both have the current block animation applied. Therefore, if they were given a "Spin" animation, for example, they will each spin on their own axis, rather than as a pair.

Indent

Outdent

These commands create an indent or reduce an indent on either the current paragraph the cursor is in (if there is no current selection) or on the entire selection.

Font

This is a system-provided dialog box that allows you to set several text properties at once, such as Font, Color, Size etc. Any setting will affect the current text selection. If no text is selected, your choices will set the default text style for any new text created. ( The various settings in the Font dialog are also available individually in other menus (such as Draw Settings) and combo-boxes (such as Font and Font Size).

NOTE: A text selection is different than a text-block selection. When a text block is selected, you can only reshape it or move it, not modify the text contents. A text block is selected when you see the "grab handles" around the text.

To modify text, you need to "enter" the text block by either:

  • double-clicking
  • single-clicking or pressing the Return key if the block is already highlighted
  • tabbing to the item then selecting edit mode by either clicking or pressing Return

A text block is in edit mode when you see the grab handles and a thick hatched line between the grab handles. You will also see a flashing cursor within the text. At this point you can make a selection by several standard methods use d in word processors, including:

  • double-clicking a word – selects the word
  • triple-clicking – selects the paragraph
  • clicking and dragging – selects the drag area
  • holding the Shift key and using the Arrow keys to select text
  • Holding the Shift and Control keys and using the Arrow keys to select words

Remove formatting

Strips all formatting from the selection. There may be remain some formatting outside the selection (encompassing it). This operation is useful if you wish to simplify the text by starting afresh.


View Menu help

View Menu

Toolbars:

The toolbar checkboxes allow you to show or hide the toolbar controllers in FvReader. Each of these has a corresponding menu item.

Preview

Preview the current page you are editing. A temporary SWF and HTML file is created and loaded into your web browser. The output is exactly as it will appear in a full project export, including the page navigation buttons (although of course they do not navigate beyond the current preview page).

Shortcut: F12 (the function key at the top of your keyboard)

Cancel

Cancel the current operation. This is for longer operations, such as Exporting, where you can interrupt the process. A faster alternative is to press and hold the "Escape" key until the operation stops.


Insert Menu help

Insert Menu

Text

Inserts a "floating" text box, initially placed in the upper left of the layout area, above all other previously inserted items. The text block contains some default text as the default font and font size, selected ready for overwriting. Simply type over the selection. You can then select parts of your text and format – using the Font and Font Size dropdown menus, the text/line color button and the text format buttons (such as Bold, Italic, Underline). Text can be formatted down to individual letters.

You can then move and resize the text block. Resizing does not change the actual font size, but dynamically reformats the word wrapping to accommodate the new shape. This is the most common and useful way of adding text to your presentation. Only text that is in a text box can be animated and have special effects applied.

Shortcut key: Control-Shift-T

Image

Opens a dialog box where you can select any HTML-compliant image, such as JPEG, GIF and PNG. A copy of the image is made in your project folder. The image can be resized and moved.

Transparency information in the source file is maintained in the output, so if you have a GIF or PNG file with transparency information, it will be converted to transparency data that the Flash Player will understand.

NOTE: due to limitations of the Internet Explorer Layout Engine, some PNG files with transparency will not be displayed correctly in FvReader. This means that they may appear with an opaque Grey area where it should be transparent. This will export correctly, however. Satisfy yourself that this is correct by Previewing the page (see View/Preview).

Shortcut key: Control-Shift-I

Shapes

A few simple shape types are available in FvReader:

Rectangle

Shortcut key: Control-Shift-R

Oval

Shortcut key: Control-Shift-O

Lines

Shortcut key: Control-Shift-N (dialog box to select type)

The lines are horizontal, vertical and two diagonals (slope up and slope down). The lines can be moved around to change the end-points, and the diagonals can be reshaped to change their angles.

All shapes (except shapes filled with a gradient) can have line color and thickness. The Ovals and Rectangles can either have flat fills or gradient fills. See the Draw Settings menu.

Table

This inserts an HTML table into the layout with some place-holder text. While the table has visible borders, this is only as a guide and will not be published in the Flash output. The intended purpose of the table is for laying out tabular text data. Table data can be animated, but it's unlikely this would be useful.

Bullet list

This puts up a dialog box. See the bullet list dialog help for more information.

Page Transition

Brings up the page transition dialog.

Page sound

Brings up the page sound dialog

Page delay

Brings up a page delay dialog.


Draw Settings help

Draw Settings Menu

Line or Text Color

Opens a color selection dialog box that allows you to set the color of either the selected shape’s line, or the color of the text selection. If there is no selection, this sets the default for any future instances of shapes or text.

Line Width

Opens a dialog that allows you to set the width of the line of the selected shape. Range starts at zero (no line). As with the color setting, this sets the default if nothing is selected.

Fill Color

Opens a color selection dialog box that allows you to set the fill color of the selected shape. Does nothing if text is selected. Sets default it nothing selected. (Same color dialog as line and background.)

Fill Type

Allows you to specify a gradient fill for the currently selected shape. The gradient dialog opens, where you can create and fine-tune the gradient. Shapes with gradient fills do not have lines (borders).

Background color

Sets the project background color. (Same color dialog as line and fill.)


Edit Menu help

Edit Menu

Undo

Undo the last editing operation.

Redo

Redo the last Undo operation. Note that once you change of move pages, the "Redo list" is emptied. So you cannot go back to a page that you previously left and be able to redo any Undo operations for that page. This is because the page is saved to disk before you leave it, and Redo information is not saved with it.

Shortcut key: Control-Y

Cut

Cuts the current selection (selected text, image, shape etc) and copies it to the "Clipboard". Once in the clipboard, you can paste it any number of times. Any subsequent cuts will overwrite the contents of the clipboard.

Shortcut key: Control-X

Copy

Copy the current selection to the clipboard.

Shortcut key: Control-C

Paste

Paste the contents of the clipboard (if any) into the layout. This may be a text selection, shape of image from a previous Cut or Copy, or it may be a text selection (possibly containing formatting) from another application, such as Word.

If an item in the layout is selected, Paste will overwrite that selection. If you wish to paste text within other text without overwriting, ensure there is no selection (i.e. only the text cursor is visible, not a highlighted selection of characters).

Tip: it you copy a selected object such as a shape or image, then de-select the object by clicking in the layout area, then Paste, a duplicate object will be created directly on top of the one you have copied. You can then drag this new item to another location.

Shortcut key: Control-V

Duplicate

This only works for entire elements, such as floating text blocks, shapes or images. It creates a copy of the selected item and pastes it above the original, slightly offset from it for easy identification.

Shortcut key: Control+D

Delete

Deletes the selected item. To retrieve this item, select Undo from the edit menu.

Shortcut key: Delete


Extras Menu help

Extras Menu

This menu allows you to store up to 10 preset text formats.

Create user defined format

Causes FvReader to look at the current text selection and record the primary Font and size for quick recall.

Shortcut keys: Control-Shift-(number keys 0-9)

Set selection to user defined format

Sets the current text selection to the format recorded under the corresponding ID.

Shortcut keys: Control-(number keys 0-9)


File Menu help

File Menu

New

Create a new project. The file dialog window will appear. The current project, if any, will be saved and you will be prompted for a name to call your project. This name can be a phrase up to 127 characters long. It does not include file extensions, paths or whatever. If you choose not to name the project, a default one called "UNTITLED" will be created. You can use this as a "scratch" workspace and optionally use the file menu option "Save As" to give it a name.

Shortcut key: Control-N

Open

Open an existing Powerbullet project. A dialog box pops up with all the available projects in your Powerbullet projects directory. Select on and click "OK".

Shortcut key: Control-O

Save

Saves your project. It’s a good idea to save your edits regularly in case of unforeseen events such as power cuts. Also, you can explicitly save the current window size, which would normally be saved along with any layout edits. Each page of the project is automatically saved when you unload it; that includes: changing or rearranging pages, exiting the program or loading/creating a new project.

Shortcut key: Control-S

Save As

Save the current project under a new name. You will be prompted for a name, as with File/New.

Export

Exports all pages of the current to a Shockwave Flash (SWF) file and creates an enclosing HTML file. Your default web browser is then opened and the output is loaded, giving you the opportunity to preview the presentation.

The destination of the export files is that of the source project files. That is, a folder named after your project within the registered "Powerbullet" folder, in turn within your system-defined "My Documents" folder. If you wish to transfer your output to the web, you retrieve the *.swf file and optionally the *.HTM file (where ‘*’ is the name of your project), from here.

When you export your project, page navigation buttons are automatically added at the bottom of the viewing area if the "Auto Advance" option is not selected in the Export Settings dialog. Also a self-contained executable is created in the same folder.

Shortcut key: Control-

Print

Prints the current page. The printing format is based on the HTML source of your project (what you see in the Powerbullet layout window) rather than the SWF output. So while the print output is not a hard-copy preview of the project output, it may be useful for hand-out notes if you use Powerbullet as a presentation tool.

Shortcut key: Control-P

Print Preview

Displays a screen preview of the print output. Use this to satisfy yourself that the print output is what you are expecting before wasting paper.

Page Setup

Takes you to the Windows-provided interface for configuring your printer before printing.

Select source

Select the TWAIN-compliant source for your image. This would usually include scanners and digital cameras.

Acquire

Capture the image from your TWAIN source. Please set your source (in the popu that will appear) to 24 bit color.


Help Menu help

Help Menu

Contents

Takes you to the index page of the HTML helpo system.

Shortcut key: F1 if no specific control is selected

About

Shows the about box and provides links to the main web site, and the support site. From here you can ask questions, provide feedback as well as update or purchase the product.


Dialogs help

Dialogs

Color

This is the standard system color dialog, used for setting color in such things as line, fill, text and text backdrop.

Page sound

Choose the sound file to play when this page appears. Either click the browse button and locate the file, or drag it onto the page from your desktop or Explorer. Acceptable files are either Microsoft Wave files (.wav) or MP3 files. Wave files will be converted to MP3, the format required by the Flash Player. Wherever the file is, a copy will be made in your project folder. When you export the SWF, the sound data will be embedded. You can also set a delay in seconds before the sound starts playing.

If you want the sound streamed from an external source, rather than embedded in the Flash file, type in the full URL of a sound-only SWF file. If there are any images in the external SWF file they will be displayed over the current images, rather than replacing it. The method is better for larger files as there are no delays in loading the Powerbullet presentation. Example:

http://powerbullet.com/my_sounds/scene1.swf

Page transition

Use the rotary controllers to specify the duration of the page entry and exit transitions. Use the radio buttons to specify the actual effect. A little experimentation may be necessary to achieve the desired effect if the page also has animations on individual elements. The element animations (such as on a text box) may either compliment - or clash with - the page entrance animation.

Item properties

Item properties dialog

Item effects

Item effects dialog

Item Hyperlink

Enter the hyperlink for the selected item. This functionality will only work with closed shapes, such as a circle or box. If you wish to create a text button, put a box behind it and set the hyperlink on the box element. When your presentation is exported, the specified shape will act as a button; a finger cursor will appear when the mouse is over it, and the hyperlink will be activated when it is clicked. This typically is a web address (include the http:// prefix), but can also be an email button, such as mailto:sales@powerbullet.com. The advantage over a regular HTML email link is that it cannot be read by "SPAMBOTS" (web applications that scan web pages for email links to add to their junk email databases). To clear the hyperlink, removing button functionality, simply delete the entry and click OK.

Edit Item HTML

If you know what you're doing you can directly edit the HTML. Only a subset of the HTML elements are supported when exporting from Powerbullet to the Flash file format.

Line width

Set the line width in pixels

New project

Create a new project. You don't have to worry about where these are in your PC's file system, as Powerbullet stores them in a pre-defined location in your system's "My Documents" folder (you may have renamed this, but it's still the same registered folder). Create a descriptive name for your project.

Open project

Open an existing project from the list.

Line selector

Select the type of line you wish to create. There are also buttons you can click directly on the style toolbar.

Bullet list

The auto bullet list dialog allows you to type in a list of simple bullet points and specify an animation for the entire list. The start delay works the same as the effects dialog; it sets the delay in seconds before the animation starts after the page is displayed. The delay setting is the time delay between each of the bullet items. This is a real time saver for the commonly-used bullet list.

Export settings

These settings control the display of the Flash file that is published, and the way it's laid out in the HTML page that is also generated. Most of the settings are the same as in Flash MX, and can be left at the defaults.

Dimensions: sets the way the size is determined and specifies the context of the width and height fields. If dimensions is percent, then width and height specify what percentage of the HTML page the Flash movie covers. If it is set to "match movie" it will reflect the size of the layout in Powerbullet. If it is set to pixels, the output will be resized to the pixel units specified in width and height

Navigation controls: with this selected, Powerbullet will automatically generate next-page, previous-page and replay buttons as appropriate in your presentation. Alternatively, if you select auto-advance, Powerbullet will generate a self-playing presentation. You then specify the delay in seconds between pages. NOTE: this setting can be overridden on a page-by-page basis. See the Page Delay dialog. If you leave the Loop field unchecked, the self-playing presentation will stop at the end and a replay button will be displayed.

Full screen: if you check this you will get a special type of HTML output that will create a full-screen presenation of the Flash movie. This is handy for information kiosks etc.

Page delay

This dialog box allows you to override the setting in your Page Export settings dialog (on the File menu). It will only have an effect if you have the Auto-advance export setting specified. Another handy feature is the built-in stop-watch. If, for example, you are giving a talk, you can time the talk by clicking start then stop (you can take a break by hitting Pause, then Start when you wish to resume). The lapsed time will be entered in the Delay box. Make sure the Override radio button is selected.

Layout dimensions

Here you can specify either an exact size for your layout - which will determine your exported Flash movie if you select "match movie" in your export settings dialog, of you can check the box marked "match window" and the movie will be sized according to the layout area of your Powerbullet window. HINT: if you want to visually determine a size, size your Powerbullet layout area according to your needs, the when you open the Layout Dimensions dialog box, make sure the "Match window" checkbox is checked, then uncheck it and push the OK button. This forces the settings to the current window size.


Gradient help

Gradient dialog

Gradient steps

This control specifies each color interpolation point of the gradient. To create a new step, drag the little square at the top of the control onto the horizontal control line. To remove a step, drag it off the line. To set the color of the step, single-click the step slider on the horizontal line. This will open a color dialog box. To change the gradient step positions, drag them along the horizontal line. The controllers act similarly to mechanical sliders, in that dragging on against another will "push" the other slider along, like using an abacus.

Preview

Shows how the gradient will look in the output. The preview window is circular, but this does not affect the shape you have specified in the layout.

Angle

Use this rotary knob to set the angle of the linear gradient. Has no effect for radial gradients.

Gradient type

Select either linear or radial gradient type. The interpolation points for the radial gradient start at the center, corresponding with the step controllers from left to right.

NOTE: there may be artifacts in the gradient preview both in the gradient dialog and in the layout window. This is simply an optimization for resizing etc. The final Flash output is high quality without the artifacts.

Set

If you manually type in a value, you must click this button to store the value. The know will reflect the new setting. This applies to all rotary knob controls with an accompanying numeric entry field, such as in the Effects and Transition dialogs.


Properties help

Properties dialog

Shortcut key: Control-Enter

Position X, Y

The co-ordinates of the top left of the element's rectangle.

Dimensions Width and Height

The width and height of the element's containing rectangle.

Type: Filled

This sets a filled shape: Rectangle or Oval. You also specify if the shape has fill and outline.

Type: Line

Set the horizontal, vertical or diagonal line type.

Fill style

Only applies to a filled shape. Set to solid for flat color. If you specify gradient you can then activate the gradient dialog by clicking Set.

Type: picture

Specifies a picture as the source. Clicking the Browse button allows you to select a file from the dialog box that subsequently appears. Clicking Reset restores the image to its original size, so no scaling is implemented.

Type: text

Makes the shape a text type. Clicking the Clear button removes formatting.


Powerbullet help

Popups

These are activated by right-clicking on an item or on the page layout area

Page

Page sound Page delay Page transition View source

Item

Item properties Item effects Item Hyperlink Edit Item HTML

Page transition dialog Page properties dialog Page properties dialog Item HTML dialog Item hyperlink dialog Item effects dialog Item properties dialog

View source

For informational purposes only. This cannot be edited. Displays the HTML data describing your presentation (this is not the HTML that is exported with your Flash movie).


Effects help

Effects dialog

Also accessible via popup menu when shape, text or image is clicked with right mouse button.

Foreground opacity

Percentage setting: 0-100. Sets the transparency of the selection. 0 is fully transparent and 100 is totally opaque.

Drop-shadow offsets

Creates a drop-shadow effect. This is most useful for text, but can be used for shapes and images. The shadow is a flat black color, which should be adjusted for the desired effect by setting opacity.

Offsets is how many pixels horizontal and vertical (can be positive or negative) the drop shadow should be from the original text.

TIP: Around 8 pixels is effective for very large text (above 30 point).

Drop-shadow opacity

Percentage setting: 0-100. Sets the transparency of the selection. 0 is fully transparent and 100 is totally opaque.

TIP: An opacity setting of around 30% gives a reasonable effect for darker text colors.

Drop-shadow clear

The Clear button simply zeroes the offsets, effectively removing the drop shadow.

Animation start delay

Specify the time, in seconds and with a fractional component if desired, from the beginning of the page’s appearance (after any page-open transition effects) to the time the animation will start. This permits precise sequencing of animations on the page. Either set the delay by dialling the rotary knob or typing in the exact number then clicking the SET button.

Animation type

Choose from a list of pre-defined animations. You can easily create your own animations to add to the list by creating a simple tab-delimited text file and adding it to the "keyframes" folder where the FvReader application resides (usually "c:\Program files\Powerbullet\keyframes"). Provided you adhere to a simple format, described in "The Powerbullet animation format", you animation will be added to this list whenever the dialog box is opened (no need to re-start the program).

Powerbullet animations are intended as text highlighters to liven up a presentation. They are also designed to be space efficient, and – by default – operate on blocks of text rather than individual letters. (Creating animations based on letters generates a lot more data, making your output file significantly larger.) Perhaps most importantly, the format is designed to be extremely easy to create simple highlight animations for your business presentation, sales brochure or school project.

Third party animations are encouraged and can be submitted to the flyingvector.com web site.

The scope of the animation format is such:

A start frame is specified. Usually this is frame 1, but it could be greater, simply causing a delay to the start of the animation. Any number of keyframes are specified. These are incremental and are the absolute frame number. The final frame – for the "resting" position of the item – is specified. This determines the length of the animation in frames. The speed with which it will play back depends on the playback speed but, as a guide, the default frame rate for FvReader is 25 per second, allowing for smooth animation and realistic effects such as "bounce" and "wobble".

Each keyframe has a setting for rotation, skew, movement on the horizontal and vertical axis, scale, color transformation and transparency. Relative positions can be specified such as "offstage left". When the presentation is exported, FvReader interpolates the keyframes to create a smooth animation incorporating the points set by the animation file.

A full specification of the format is available elswhere in this document.


Alignment Menu help

Alignment Menu

Justify Left

Justify Right

Justify Center

These options justify the text of either (1) the paragraph the cursor is currently in of there is no current selection or (2) the entire selection.


FvReader samples page

Sample 1 - usage demo

Sample 2 - buttons

Sample 3 - basic brochure


FvReader tutorials

Tutorial 1.

This tutorial was created with FvReader, the precursor to Powerbullet. To get started, open Powerbullet from your Windows Start Menu, then come back to this page and click "Start" below. Size Powerbullet and this web browser window so thatthat both are visible. The Powerbullet tutorial will prompt you to perform actions in the actual Powerbullet program you have open. After each group of operations you will be given a preview of what the results of your work will look like.

START >>